> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mobilerun.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get delivery statistics

> Returns aggregate delivery statistics across all of your webhooks, including the total count, a breakdown by status (pending, success, skipped, dead), and the overall success rate. An optional `since` timestamp narrows the reporting window.



## OpenAPI

````yaml /api-reference/webhooks.yaml get /webhooks/deliveries/stats
openapi: 3.1.0
info:
  title: Webhooks
  version: v1
servers:
  - url: https://api.mobilerun.ai
    description: Droidrun Cloud API
security:
  - bearerAuth: []
paths:
  /webhooks/deliveries/stats:
    get:
      tags:
        - Webhook Deliveries
      summary: Get delivery statistics
      description: >-
        Returns aggregate delivery statistics across all of your webhooks,
        including the total count, a breakdown by status (pending, success,
        skipped, dead), and the overall success rate. An optional `since`
        timestamp narrows the reporting window.
      operationId: getWebhookDeliveryStats
      parameters:
        - schema:
            type: string
            format: date-time
          required: false
          name: since
          in: query
      responses:
        '200':
          description: Delivery statistics
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      total:
                        type: number
                      byStatus:
                        type: object
                        properties:
                          pending:
                            type: number
                          success:
                            type: number
                          skipped:
                            type: number
                          dead:
                            type: number
                        required:
                          - pending
                          - success
                          - skipped
                          - dead
                      successRate:
                        type:
                          - number
                          - 'null'
                    required:
                      - total
                      - byStatus
                      - successRate
                required:
                  - data
        '401':
          description: Unauthorized
        '500':
          description: Internal Server Error
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Mobilerun from '@mobilerun/sdk';

            const client = new Mobilerun({
              apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
            });

            const response = await client.webhooks.deliveries.stats();

            console.log(response.data);
        - lang: Python
          source: |-
            import os
            from mobilerun_sdk import Mobilerun

            client = Mobilerun(
                api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"),  # This is the default and can be omitted
            )
            response = client.webhooks.deliveries.stats()
            print(response.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/stainless-sdks/droidrun-cloud-go\"\n\t\"github.com/stainless-sdks/droidrun-cloud-go/option\"\n)\n\nfunc main() {\n\tclient := mobileruncloud.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.Webhooks.Deliveries.Stats(context.TODO(), mobileruncloud.WebhookDeliveryStatsParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response.Data)\n}\n"
        - lang: CLI
          source: |-
            mobilerun-cloud webhooks:deliveries stats \
              --api-key 'My API Key'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Opaque
      description: Bearer token via Authorization header

````